SELECT e.event_id, e.name, ISNULL(ef9.name + '...\', '') 
+ ISNULL(ef8.name + '\', '') + ISNULL(ef7.name + '\', '') 
+ ISNULL(ef6.name + '\', '') + ISNULL(ef5.name + '\', '') 
+ ISNULL(ef4.name + '\', '') + ISNULL(ef3.name + '\', '') 
+ ISNULL(ef2.name + '\', '') + ISNULL(ef1.name + '\', '') 
+ ISNULL(ef0.name + '\', '') + e.name AS path
FROM event AS e WITH(NOLOCK)
           INNER JOIN event_folder AS ef0 WITH(NOLOCK) ON e.folder_id = ef0.folder_id
      LEFT OUTER JOIN event_folder AS ef1 WITH(NOLOCK) ON ef0.parent_id = ef1.folder_id
      LEFT OUTER JOIN event_folder AS ef2 WITH(NOLOCK) ON ef1.parent_id = ef2.folder_id
      LEFT OUTER JOIN event_folder AS ef3 WITH(NOLOCK) ON ef2.parent_id = ef3.folder_id
      LEFT OUTER JOIN event_folder AS ef4 WITH(NOLOCK) ON ef3.parent_id = ef4.folder_id
      LEFT OUTER JOIN event_folder AS ef5 WITH(NOLOCK) ON ef4.parent_id = ef5.folder_id
      LEFT OUTER JOIN event_folder AS ef6 WITH(NOLOCK) ON ef5.parent_id = ef6.folder_id
      LEFT OUTER JOIN event_folder AS ef7 WITH(NOLOCK) ON ef6.parent_id = ef7.folder_id
      LEFT OUTER JOIN event_folder AS ef8 WITH(NOLOCK) ON ef7.parent_id = ef8.folder_id
      LEFT OUTER JOIN event_folder AS ef9 WITH(NOLOCK) ON ef8.parent_id = ef9.folder_id
ORDER BY 1,2,3
